> ## Documentation Index
> Fetch the complete documentation index at: https://developers.bottari.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 본문을 마크다운으로 읽기

> 문서나 블록의 본문을 마크다운으로 읽습니다.

본문을 마크다운으로 읽습니다. `id`에 문서 ID를 넣으면 본문 전체를, 블록 ID를 넣으면 그 블록부터 읽습니다. 쓰기는 제공하지 않습니다.

**Authorization** `string` *required*

`Bearer <토큰>` 형식입니다. [토큰 자세히 알아보기 →](https://developers.bottari.ai/ko/auth/tokens.md)

**Bottari-Version** `string`

선택 항목입니다. `2026-03-11`만 받습니다. 빼면 현재 버전을 사용하고, 다른 값을 보내면 400을 반환합니다.

**id** `string` *required*

문서 ID나 블록 ID입니다.

**markdown\_version** `string` (default: v2)

`v2`만 받습니다. `v1`은 400입니다.

**object** `string`

항상 `page_markdown`입니다.

**id** `string`

요청한 ID입니다.

**markdown** `string`

본문입니다.

**truncated** `boolean`

마크다운으로 변환하지 못한 블록이 하나라도 있으면 `true`입니다.

**unknown\_block\_ids** `string[]`

변환하지 못한 블록의 ID입니다. 100개까지 담습니다. 블록 API의 ID와 같습니다.

변환하지 못한 블록은 본문에 `<unknown url="..." alt="..." />`로 나옵니다. 마크다운 형식이 없어 변환하지 못한 블록은 그 ID로 다시 읽을 수 있습니다. 권한 때문에 숨겨진 블록을 다시 읽으면 404를 반환합니다.

올린 파일 블록은 서명 주소로 나옵니다. 휴지통에 있는 문서도 읽을 수 있습니다. 휴지통에 있는 인라인 데이터베이스는 본문에서 빠집니다.

## 오류

| 상태 | `code` | 원인 |
| - | - | - |
| 400 | `validation_error` | `markdown_version`이 `v2`가 아닙니다. |
| 404 | `object_not_found` | 없거나 연동이 읽을 수 없는 문서 또는 블록입니다. |

공통 오류는 [공통 규칙](https://developers.bottari.ai/ko/api-reference/overview.md#오류)에서 확인할 수 있습니다.

```bash curl theme={null}
curl https://api.bottari.ai/v1/pages/exampleRow01/markdown \
  -H "Authorization: Bearer $BOTTARI_TOKEN" \
  -H "Bottari-Version: 2026-03-11"
```

```json 200 theme={null}
{
  "object": "page_markdown",
  "id": "exampleRow01",
  "markdown": "# 진행 상황\n\n1월 주문을 <b>확인</b>했습니다.",
  "truncated": false,
  "unknown_block_ids": [],
  "request_id": "33333333-3333-4333-8333-333333333333"
}
```

```json 400 theme={null}
{
  "object": "error",
  "status": 400,
  "code": "validation_error",
  "message": "markdown_version \"v1\" is not supported by this server. Use markdown_version=v2 or omit it.",
  "request_id": "33333333-3333-4333-8333-333333333333"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.